#ifndef CSTATUSMODEL_H
#define CSTATUSMODEL_H

#include "cmwidget.h"
#include "CCtrlMImgContainer.h"
#include <QList>
#include <QGridLayout>
#include "cctrlmimg_opengl.h"
class CAMatch;
class CStatusModel : public CMWidget
{
    Q_OBJECT
public:
	explicit CStatusModel(QWidget *parent=0);
    ~CStatusModel();
public:
    QString strCurFile;

    CAMatch* m_pMtachForLoad;
    void MFresh();
    void MTimeFresh();
	void MInit();
    void CreateModelImage();
    QList<CCtrlMImg_OPenGL*> limageContainer;
    void ClearContainer();
    QGridLayout* m_pGridLayOut;
	int32_t m_iSideID;
private:
    void loadModel(int32_t icamID, CCtrlMImg_OPenGL *pCtrlContainer);
signals:

public slots:
};

#endif // CSTATUSMODEL_H
